Subject: Re: [PATCH] mailsplit add option to include sanitized subject in filename

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Apr 2024 22:29:55 -0700

Jacob Keller <[email-masked]> writes:

> No, I mean git am invokes git mailsplit to split a mailbox file into a
> temporary directory, and then expects to find exactly "0000", "0001",
> "0002" etc, but not "0001-fix-bug" and "0002-implement-feature"

Ah, of course.  "am" invokes mailsplit with the understanding that
its external interface is that it will get the total number as
decimal number from its standard output, and the files are named as
just numbers in the specified directory, with specified precision.
If you are mucking with mailsplit to update its output, of course
you must update the expected way "am" receives its input.